package data.scripts.hullmods;

import com.fs.starfarer.api.combat.BaseHullMod;
import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.combat.ShipAPI.HullSize;

@SuppressWarnings("unchecked")
public class dara_BlockadeShield extends BaseHullMod {

	public static final int HARD_FLUX_DISSIPATION_PERCENT = 20;
	public static final float SHIELD_DEPLOY_MULT = 3f;
	
	public void applyEffectsBeforeShipCreation(HullSize hullSize, MutableShipStatsAPI stats, String id) {
		stats.getHardFluxDissipationFraction().modifyFlat(id, (float)HARD_FLUX_DISSIPATION_PERCENT * 0.01f);
		stats.getShieldUnfoldRateMult().modifyFlat(id, SHIELD_DEPLOY_MULT);
	}
	
	public String getDescriptionParam(int index, HullSize hullSize) {
		if (index == 0) return "" + HARD_FLUX_DISSIPATION_PERCENT;
		if (index == 1) return "" + (int) SHIELD_DEPLOY_MULT;
		return null;
	}


}
